Module
Contents
Index 🔎︎
\<bookmark_value\>HasUnoInterfaces function\</bookmark_value\>

# HasUnoInterfaces Function

Tests if a Basic Uno object supports certain Uno interfaces.

Returns True, if \<emph\>all\</emph\> stated Uno interfaces are supported, otherwise False is returned.

## Syntax:

    HasUnoInterfaces( oTest, Uno-Interface-Name 1 [, Uno-Interface-Name 2, ...])

## Return value:

Bool

## Parameters:

\<emph\>oTest:\</emph\> the Basic Uno object that you want to test.

\<emph\>Uno-Interface-Name:\</emph\> list of Uno interface names.

## Example:

    bHas = HasUnoInterfaces( oTest, "com.sun.star.beans.XIntrospection" )